function jqEscape(myid) { 
	return myid.replace(/(:|\.)/g,'\\$1');
}

function containsInJavaArray(a, obj) {
    for (var i = 0; i < a.length; i++) {
        if (a[i] === obj) {
            return true;
        }
    }
    return false;
}

function jqEscapeAndAddHashmark(myid) { 
	return '#' + jqEscape(myid);
}

function getJsPattern(fPattern) {
	var ret = fPattern.replace(/yyyy/i, "%Y");
	ret = ret.replace(/MM/i, "%m");
	ret = ret.replace(/dd/i, "%d");
	ret = ret.replace(/yy/i, "%Y");
	ret = ret.replace(/HH/i, "%H");
	ret = ret.replace(/mm/i, "%M");
	ret = ret.replace(/ss/i, "%s");
	return ret;
}

function getJQueryPattern(fPattern) {
	var ret = fPattern.replace(/yyyy/i, "yy");
	ret = ret.replace(/MM/i, "mm");
	return ret;
}

function everitRunScripts(ajaxRequest, codeFunction) {
	if (ajaxRequest) {
		codeFunction();
	} else {
		$(document).ready(codeFunction);
	}
}
	
/* Checks periodically whether a function is available on an object. */
function waitForFunctionAvailable(element_id, functionName, attempts, delay, onSuccessCallback, onFailCallback) {
    var elementObj = document.getElementById(element_id);
    var functionType = typeof(elementObj[functionName]);
    if (functionType != 'undefined') {
        onSuccessCallback(); //Go do it.
        return true;
    } else {
        if (attempts == 0) {
            onFailCallback();
            return false;
        } else {
            //Put it back in the hopper.
            setTimeout(function () {
            	waitForFunctionAvailable(element_id, functionName, --attempts, delay, onSuccessCallback, onFailCallback);
            }, delay);
        }
    }
}